< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package logging
  Definition Classes
    hmrc
- BlackHole
- LogEntry
- LoggerFacade
- SimpleLogger
- Stdout
- StubLogger

c

uk.gov.hmrc.logging

# LoggerFacade 

###

#### class LoggerFacade extends SimpleLogger

Main adapter for SLF4J. Wire this in via DI.

Linear Supertypes
SimpleLogger, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoggerFacade
2. SimpleLogger
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new LoggerFacade(underlying: Logger)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def debug(msg: String, t: Throwable): Unit
   Definition Classes
     LoggerFacade → SimpleLogger
7.  def debug(format: String, arguments: AnyRef*): Unit
   Definition Classes
     LoggerFacade → SimpleLogger
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def error(msg: String, t: Throwable): Unit
    Definition Classes
      LoggerFacade → SimpleLogger
11.  def error(format: String, arguments: AnyRef*): Unit
    Definition Classes
      LoggerFacade → SimpleLogger
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  def info(msg: String, t: Throwable): Unit
    Definition Classes
      LoggerFacade → SimpleLogger
16.  def info(format: String, arguments: AnyRef*): Unit
    Definition Classes
      LoggerFacade → SimpleLogger
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
26.  def warn(msg: String, t: Throwable): Unit
    Definition Classes
      LoggerFacade → SimpleLogger
27.  def warn(format: String, arguments: AnyRef*): Unit
    Definition Classes
      LoggerFacade → SimpleLogger

### Inherited from SimpleLogger

### Inherited from AnyRef

### Inherited from Any

### Ungrouped